Imagick::setPage
Imagick::setResolution
Imagick
PHP Manual

# Imagick::setPointSize

(PECL imagick 2.1.0)

Imagick::setPointSize — Sets point size

### Description

bool Imagick::setPointSize ( float `$point_size` )

Sets object's point size property. This method can be used for example to set font size for caption: pseudo-format. This method is available if Imagick has been compiled against ImageMagick version 6.3.7 or newer.

### Parameters

`point_size`

  Point size

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::getPointSize() - Gets point size

### Examples

Example #1 A Imagick::setPointSize() example

Example of using Imagick::setPointSize

`<?php
/* Create new imagick object */
$im = new Imagick();
/* Set the font for the object */
$im->setFont("example.ttf");
/* Set the point size */
$im->setPointSize(12);
/* Create new caption */
$im->newPseudoImage(100, 100, "caption:Hello");
/* Do something with the image */
?>`

Imagick::setPage
Imagick::setResolution
Imagick
PHP Manual